# Template Class matrix_subtraction

- Defined in File matrix.hpp

## Inheritance Relationships

### Base Type

- `public cif::matrix_expression< matrix_subtraction< M1, M2 > >` (Template Class matrix_expression)

## Class Documentation

template<typename M1, typename M2>
class matrix_subtraction : public cif::matrix_expression<matrix_subtraction<M1, M2>>

  Implementation of a substraction operation as a matrix expression.

  Template Parameters:

    - M1 – Type of matrix 1

    - M2 – Type of matrix 2

  Public Functions

  inline matrix_subtraction(const M1 &m1, const M2 &m2)

    constructor

  inline std::size_t dim_m() const

    Return dimension m.

  inline std::size_t dim_n() const

    Return dimension n.

  inline auto operator()(std::size_t i, std::size_t j) const

    Access to the value of element [ i, j ]